import { PropertyTypeKeeper } from "./metadata";
import { ComposeInputType } from "graphql-compose";
import { StringKey } from "./utils";
import { ClassType, InputTypeFn, TypeFn } from "./graphq-compose-typescript";
import { ComposeType, ProvidenTypeConvertor } from "./providenTypeConvertor";
export declare class PropertyTypeConvertor<T extends ComposeType> {
    protected typeConvertor: ProvidenTypeConvertor<T>;
    protected propertyTypeKeeper: PropertyTypeKeeper;
    constructor(typeConvertor: ProvidenTypeConvertor<T>, propertyTypeKeeper: PropertyTypeKeeper);
    getPropertyType(constructor: ClassType, key: string, typeFn?: TypeFn): T;
}
export declare class ArgumentTypeConvertor {
    protected propertyTypeKeeper: PropertyTypeKeeper;
    protected typeConvertor: ProvidenTypeConvertor<ComposeInputType>;
    constructor(propertyTypeKeeper: PropertyTypeKeeper, typeConvertor: ProvidenTypeConvertor<ComposeInputType>);
    getArgumentInputType<T>(constructor: ClassType<T>, key: StringKey<T>, index: number, typeFn: InputTypeFn): ComposeInputType;
}
