import { Queue } from "./queue";
import { InputTypeComposer, ObjectTypeComposer } from "graphql-compose";
import { ComposerBuilder } from "./composer-builder";
import { ClassSpecialist } from "../graphq-compose-typescript";
export declare class QueueSolver {
    protected queue: Queue;
    protected outputBuilder: ComposerBuilder<ObjectTypeComposer>;
    protected inputBuilder: ComposerBuilder<InputTypeComposer>;
    protected classSpecialist: ClassSpecialist;
    constructor(queue: Queue, outputBuilder: ComposerBuilder<ObjectTypeComposer>, inputBuilder: ComposerBuilder<InputTypeComposer>, classSpecialist: ClassSpecialist);
    solve(): void;
}
