import { ClassType } from "./graphq-compose-typescript";
import { InputTypeComposer, ObjectTypeComposer } from "graphql-compose";
export declare type Dict<T, K extends string = string> = {
    [key in K]: T;
};
export declare type StringKey<T> = (keyof T) & string;
export declare function getConstructor<T>(instance: T): ClassType<T>;
export declare type IOComposers = ObjectTypeComposer | InputTypeComposer;
export declare function isString(obj: any): obj is string;
