import { ClassType, InputTypeFn, OutputTypeFn } from "./graphq-compose-typescript";
import { Map } from 'immutable';
import { StringKey } from "./utils";
export declare class FieldSpecKeeper {
    isDecorated(constructor: ClassType): boolean;
    setTypeSpec<T>(constructor: ClassType<T>, name: StringKey<T>, type: OutputTypeFn | InputTypeFn): void;
    getFieldTypes<T>(constructor: ClassType<T>): Map<StringKey<T>, OutputTypeFn | InputTypeFn>;
    protected setFieldTypes<T>(constructor: ClassType<T>, types: Map<StringKey<T>, OutputTypeFn | InputTypeFn>): void;
}
