import { ClassType } from "./graphq-compose-typescript";
import { StringKey } from "./utils";
export declare class PropertyTypeKeeper {
    isMethod<T>(constructor: ClassType<T>, name: StringKey<T>): boolean;
    getPropertyType(constructor: ClassType, property: string): ClassType;
    getParameterType(constructor: ClassType, property: string, index: number): ClassType;
    getPropertyTypeFromMetadata(constructor: ClassType, property: string): any;
    getReturnTypeFromMetadata(constructor: ClassType, property: string): ClassType;
    getParameterTypesFromMetadata(constructor: ClassType, property: string): ClassType[];
}
