import { InputTypeComposer, SchemaComposer, ObjectTypeComposer } from "graphql-compose";
import { FieldSpecKeeper } from "../field-spec";
import { FieldCreator } from "./field-creators";
import { ClassType } from "../graphq-compose-typescript";
import { WrapComposerSpecKeeper } from "./wrap-composer-spec-keeper";
export declare class ComposerBuilder<C extends InputTypeComposer | ObjectTypeComposer> {
    protected fieldSpec: FieldSpecKeeper;
    protected schemaComposer: SchemaComposer<any>;
    protected fieldCreator: FieldCreator;
    protected wrapComposerSpecKeeper: WrapComposerSpecKeeper;
    constructor(fieldSpec: FieldSpecKeeper, schemaComposer: SchemaComposer<any>, fieldCreator: FieldCreator, wrapComposerSpecKeeper: WrapComposerSpecKeeper);
    private createFields;
    build<T>(constructor: ClassType<T>, composer: C): any;
}
